---
name: "getSceneListV2"
mode: "api"
versionRequirements:
  - { name: "@ray-js/ray", version: "1.5.15" }
title: "getSceneListV2 - Query Home Tap-to-Run List"
---

## getSceneListV2

> [VERSION] @ray-js/ray >= 1.5.15

### Description

Query the home’s Tap-to-Run list, excluding invalid or automation rules

### Parameters

| Property | Type | Required | Description |
| --- | --- | --- | --- |
| `params` | `Object` | Yes | Query parameters |

##### getSceneListV2.params properties

| Property | Type | Required | Default | Description |
| --- | --- | --- | --- | --- |
| `devId` | `string` | Yes | - | Device ID |
| `gid` | `string` | Yes | - | Home ID |
| `containStandardZigBee` | `boolean` | No | - | Whether to include standard scenes |


### Return Value

Type: `Promise<ISceneListItemV2[]>`

List of one-tap execution linkage rules

##### ISceneListItemV2

| Property | Type | Description |
| --- | --- | --- |
| `actions` | `ISceneAction[]` | Action |
| `alarmIssue` | `boolean` | Whether it is an alarm issue |
| `attribute` | `number` | Attributes Use bitwise operations based on powers of two of enum values |
| `auditStatus` | `number` | Review status 0. Not reviewed 1. Approved 2. Rejected |
| `background` | `string` | Background image URL |
| `boundForPanel` | `boolean` | Panel binding |
| `boundForWiFiPanel` | `boolean` | Wi-Fi panel binding |
| `code` | `string` | Rule code |
| `commonField` | `string` | Common JSON fields, for example local automation stores the gateway ID, gwId |
| `containDeviceDelete` | `boolean` | Whether to include deleted devices |
| `coverIcon` | `string` | Icon |
| `description` | `string` | Rule description |
| `disableTime` | `number` | Disable timestamp |
| `displayColor` | `string` | Background color |
| `enabled` | `boolean` | Whether the rule is enabled |
| `forceCloudTrigger` | `boolean` | Whether to force cloud triggering |
| `id` | `string` | Execution rule ID |
| `iotAutoAlarm` | `boolean` | Whether it is an IoT automatic alarm |
| `isAlarmIssue` | `boolean` | Whether it is an alarm issue |
| `isLogicRule` | `boolean` | Whether it is a logic rule |
| `linkageType` | `number` | Automation type |
| `localLinkage` | `boolean` | Whether it is a local automation |
| `logicRule` | `boolean` | Whether it is a logic rule |
| `matchType` | `number` | Matching type 1. Any condition: trigger when any one of multiple conditions is met (OR). 2. All conditions: trigger only when all conditions are met. 3. Expression matching: determined by the expr in the rule field; triggers when satisfied. |
| `name` | `string` | Automation name or note |
| `needCleanGidSid` | `boolean` | Whether to clean up gidSid |
| `needValidOutOfWork` | `boolean` | Whether to validate that it is outside the working time period |
| `newLocalScene` | `boolean` | Whether it is a new local scene |
| `offGwSync` | `boolean` | Whether off-gateway sync is enabled |
| `offGwSyncSuccess` | `boolean` | Whether off-gateway sync succeeded |
| `orderWeight` | `number` | Sorting weight |
| `outOfWork` | `number` | Flag: outside working hours |
| `ownerId` | `string` | Home ID |
| `panelType` | `number` | Panel type |
| `permissionCode` | `string` | Permission code |
| `ruleGenre` | `number` | Rule schema |
| `ruleSource` | `number` | Rule source |
| `ruleType` | `number` | Rule type 1. System-defined 2. Merchant-defined 3. User-defined 4. Security rule 5. Service-defined (e.g., DP forwarding) |
| `runtimeEnv` | `string` | Runtime environment |
| `scenarioRule` | `boolean` | Whether it is a scene rule |
| `status` | `boolean` | Rule status |
| `statusConditions` | `any[]` | List of state conditions |
| `stickyOnTop` | `boolean` | Whether to display at the top of the home page |
| `subMatchType` | `number` | Sub-match type |
| `uid` | `string` | User ID |

### Referenced Types

##### `interface` ISceneAction

| Property | Type | Description |
| --- | --- | --- |
| `actionDisplay` | `string` | Action display name |
| `actionExecutor` | `string` | Action executor |
| `actionStrategy` | `string` | Action policy |
| `attribute` | `number` | Attribute value |
| `devDelMark` | `boolean` | Device deletion flag indicating whether the device is deleted |
| `enabled` | `boolean` | Whether the action is enabled |
| `entityId` | `string` | Entity ID, indicating the ID of the entity the action belongs to |
| `gmtModified` | `number` | Modification timestamp |
| `id` | `string` | Unique action ID |
| `offGwSync` | `boolean` | Gateway sync flag indicating whether gateway sync is applied |
| `orderNum` | `number` | Action sequence number |
| `ruleId` | `string` | Rule ID, indicating the ID of the rule the action belongs to |
| `status` | `boolean` | Action status |
| `uid` | `string` | User ID, indicating the ID of the user the action belongs to |


### Examples

```typescript
import { getSceneListV2 } from '@ray-js/ray';

const fetchScenes = async () => {
  try {
    const scenes = await getSceneListV2({
      devId: 'device_001',
      gid: '12345678',
      containStandardZigBee: false,
    });
    console.log('Tap-to-Run list:', scenes);
  } catch (err) {
    console.error('Query failed:', err);
  }
};
```
